python2-pyquery-1.4.0-3.1.noarch.rpm


Advertisement

Description

python2-pyquery - A jQuery-like library for python

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python2-pyquery-1.4.0-3.1.noarch.rpm
Package name python2-pyquery
Package version 1.4.0
Package release 3.1
Package architecture noarch
Package type rpm
Category Development/Languages/Python
Homepage http://pypi.python.org/pypi/pyquery
License BSD-3-Clause
Maintainer -
Download size 45.66 KB
Installed size 200.39 KB
Pyquery allows you to make jQuery queries on XML documents. The API is
as much as possible the similar to jQuery. Pyquery uses lxml for fast
XML and HTML manipulation.

Alternatives

Package Version Architecture Repository
python2-pyquery - - -

Requires

Name Value
python(abi) = 2.7
python2-cssselect > 0.7.9
python2-lxml >= 2.1

Provides

Name Value
python-pyquery = 1.4.0-3.1
python2-pyquery = 1.4.0-3.1

Obsoletes

Name Value
python-pyquery < 1.4.0-3.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python2-pyquery-1.4.0-3.1.noarch.rpm
Source Package python-pyquery-1.4.0-3.1.src.rpm

Install Howto

Install python2-pyquery rpm package:

# zypper install python2-pyquery

Files

Path
/usr/lib/python2.7/site-packages/pyquery/__init__.py
/usr/lib/python2.7/site-packages/pyquery/__init__.pyc
/usr/lib/python2.7/site-packages/pyquery/__init__.pyo
/usr/lib/python2.7/site-packages/pyquery/cssselectpatch.py
/usr/lib/python2.7/site-packages/pyquery/cssselectpatch.pyc
/usr/lib/python2.7/site-packages/pyquery/cssselectpatch.pyo
/usr/lib/python2.7/site-packages/pyquery/openers.py
/usr/lib/python2.7/site-packages/pyquery/openers.pyc
/usr/lib/python2.7/site-packages/pyquery/openers.pyo
/usr/lib/python2.7/site-packages/pyquery/pyquery.py
/usr/lib/python2.7/site-packages/pyquery/pyquery.pyc
/usr/lib/python2.7/site-packages/pyquery/pyquery.pyo
/usr/lib/python2.7/site-packages/pyquery/text.py
/usr/lib/python2.7/site-packages/pyquery/text.pyc
/usr/lib/python2.7/site-packages/pyquery/text.pyo
/usr/lib/python2.7/site-packages/pyquery-1.4.0-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/pyquery-1.4.0-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/pyquery-1.4.0-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/pyquery-1.4.0-py2.7.egg-info/entry_points.txt
/usr/lib/python2.7/site-packages/pyquery-1.4.0-py2.7.egg-info/not-zip-safe
/usr/lib/python2.7/site-packages/pyquery-1.4.0-py2.7.egg-info/requires.txt
/usr/lib/python2.7/site-packages/pyquery-1.4.0-py2.7.egg-info/top_level.txt
/usr/share/doc/packages/python2-pyquery/CHANGES.rst
/usr/share/doc/packages/python2-pyquery/README.rst
/usr/share/licenses/python2-pyquery/LICENSE.txt

Changelog

2019-02-25 - Tomá? Chvátal <tchvatal@suse.com>
- Use _multibuild to run tests
2019-02-25 - John Vandenberg <jayvdb@gmail.com>
- Add %license
- Run test suite on both Python 2 & 3
- Remove outdated build dependencies
- Add minimum versions
- Add python-coverage as build dependency as nose segfaults when missing
2018-12-04 - Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
2018-08-13 - mcepl@suse.com
- Remove dependency on unittest2
2017-03-29 - alarrosa@suse.com
- Converted to singlespec
2016-10-25 - arun@gmx.de
- update to version 1.2.17:
* PyQuery('<input value="">').val() is ''
* PyQuery('<input>').val() is ''
- changes from version 1.2.16:
* .attr('value', '') no longer removes the value attribute
* <input type="checkbox"> without value="..." have a .val() of 'on'
* <input type="radio"> without value="..." have a .val() of 'on'
* <select> without <option selected> have the value of their first
<option> (or None if there are no options)
- changes from version 1.2.15:
* .val() should never raise
* drop py26 support
* improve .extend() by returning self
- changes from version 1.2.14:
* fix val() for <textarea> and <select>, to match jQuery behavior
2016-05-08 - arun@gmx.de
- specfile:
* changed to https for source url
* updated source url to files.pythonhosted.org
2016-04-23 - arun@gmx.de
- update to version 1.2.13:
* Note explicit support for Python 3.5
- changes from version 1.2.12:
* make_links_absolute now take care of whitespaces
* added pseudo selector :has()
* add cookies arguments as allowed arguments for requests
2016-02-03 - arun@gmx.de
- update to version 1.2.11:
* Preserve namespaces attribute on PyQuery copies.
* Do not raise an error when the http response code is 2XX
2016-01-30 - arun@gmx.de
- specfile:
* update copyright year
* changed from zip to tar.gz
- update to version 1.2.10:
* Fixed #118: implemented usage lxml.etree.tostring within
outer_html method
* Fixed #117: Raise HTTP Error if HTTP status code is not equal to
200
* Fixed #112: make_links_absolute does not apply to form actions
* Fixed #98: contains act like jQuery

See Also

Package Description
python2-pyramid-1.9.1-2.3.noarch.rpm The Pyramid web application development framework
python2-pyroma-2.4-1.1.noarch.rpm Program to test a Python project's adherence to packaging guidelines
python2-pyroute2-0.5.4-1.1.noarch.rpm Python Netlink library
python2-pyrrd-0.1.0-12.2.noarch.rpm An Object-Oriented Python Interface for RRD
python2-pyrsistent-0.14.11-1.1.i586.rpm Persistent, Functional, Immutable data structures
python2-pyrsistent-0.14.11-1.1.x86_64.rpm Persistent, Functional, Immutable data structures
python2-pysaml2-4.6.5-1.2.noarch.rpm Python implementation of SAML Version 2 to be used in a WSGI environment
python2-pyscard-1.9.8-2.1.i586.rpm Python module adding smart card support
python2-pyscard-1.9.8-2.1.x86_64.rpm Python module adding smart card support
python2-pysendfile-2.0.1-2.6.i586.rpm A Python interface to sendfile(2)
python2-pysendfile-2.0.1-2.6.x86_64.rpm A Python interface to sendfile(2)
python2-pyserial-3.4-3.1.noarch.rpm Python Serial Port Extension
python2-pyshould-0.7.1-3.2.noarch.rpm Should style asserts
python2-pyshp-2.1.0-1.1.noarch.rpm Python library for ESRI Shapefile format
python2-pysmb-1.1.25-1.2.noarch.rpm SMB/CIFS library to support file sharing between Windows and Linux machines
Advertisement
Advertisement